#!/bin/bash


if [ ! -e "$JOD_CONVERTER" ] ; then
  echo "Unzipping JodConverter Core"
  unzip "$JOD_CONVERTER-dist.zip"

  cd "$JOD_CONVERTER" \
   && jar xvf "$JOD_CONVERTER-sources.jar" \
   && cd ..
fi


cd "$JOD_CONVERTER"

if [ $GSDLOS = "windows" ] ; then
  # Running under Cygwin or MSys
  cp=`ls lib/*.jar | tr '\n' ';'`
else
  cp=`ls lib/*.jar | tr '\n' ':'`
fi

cp_with_spaces=`ls lib/*.jar | tr '\n' ' '`

javac -cp ".:$cp" org/artofsolving/jodconverter/cli/Convert.java \
  && \
echo "Manifest-Version: 1.0" > Manifest.txt && \
echo "Created-By: Greenstone Digital Library Project" >> Manifest.txt && \
echo "Main-Class: org.artofsolving.jodconverter.cli.Convert" >> Manifest.txt && \
echo "Class-Path: $cp_with_spaces" >> Manifest.txt \
 && \
jar cvfm jodconverter.jar Manifest.txt org lib conf document-formats.js

cd ..

